import 'dart:convert';

enum CDVCommandStatus{
  noResult,
  ok,
  classNotFoundException,
  illegalAccessException,
  instantiationException,
  malformedUrlException,
  ioException,
  invalidAction,
  jsonException,
  error
}

class CDVPluginResult{
  CDVCommandStatus status;
  var message;
  bool keepCallback = false;
  CDVPluginResult(this.status, this.message);
  String argumentsAsJSON(){
    var argumentsWrappedInList = [message];
    var argumentsJSON = jsonEncode(argumentsWrappedInList);
    argumentsJSON = argumentsJSON.substring(1, argumentsJSON.length-1);
    return argumentsJSON;
  }

}